# Uses of Class
javafx.scene.control.DialogEvent

Packages that use DialogEvent
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of DialogEvent in javafx.scene.control

Fields in javafx.scene.control with type parameters of type DialogEvent
Modifier and Type
Field
Description
`static final EventType<DialogEvent>`
DialogEvent.`ANY`
Common supertype for all dialog event types.
`static final EventType<DialogEvent>`
DialogEvent.`DIALOG_CLOSE_REQUEST`
This event is delivered to a dialog when there is an external request to close that dialog.
`static final EventType<DialogEvent>`
DialogEvent.`DIALOG_HIDDEN`
This event occurs on dialog just after it is hidden.
`static final EventType<DialogEvent>`
DialogEvent.`DIALOG_HIDING`
This event occurs on dialog just before it is hidden.
`static final EventType<DialogEvent>`
DialogEvent.`DIALOG_SHOWING`
This event occurs on dialog just before it is shown.
`static final EventType<DialogEvent>`
DialogEvent.`DIALOG_SHOWN`
This event occurs on dialog just after it is shown.
Methods in javafx.scene.control that return DialogEvent
Modifier and Type
Method
Description
`DialogEvent`
DialogEvent.`copyFor(Object newSource, EventTarget newTarget)`
`DialogEvent`
DialogEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<DialogEvent> type)`
Creates a copy of the given event with the given fields substituted.
Methods in javafx.scene.control that return types with arguments of type DialogEvent
Modifier and Type
Method
Description
`EventType<DialogEvent>`
DialogEvent.`getEventType()`
`final EventHandler<DialogEvent>`
Dialog.`getOnCloseRequest()`
Gets the value of the `onCloseRequest` property.
`final EventHandler<DialogEvent>`
Dialog.`getOnHidden()`
Gets the value of the `onHidden` property.
`final EventHandler<DialogEvent>`
Dialog.`getOnHiding()`
Gets the value of the `onHiding` property.
`final EventHandler<DialogEvent>`
Dialog.`getOnShowing()`
Gets the value of the `onShowing` property.
`final EventHandler<DialogEvent>`
Dialog.`getOnShown()`
Gets the value of the `onShown` property.
`final ObjectProperty<EventHandler<DialogEvent>>`
Dialog.`onCloseRequestProperty()`
Called when there is an external request to close this `Dialog`.
`final ObjectProperty<EventHandler<DialogEvent>>`
Dialog.`onHiddenProperty()`
Called just after the Dialog has been hidden.
`final ObjectProperty<EventHandler<DialogEvent>>`
Dialog.`onHidingProperty()`
Called just prior to the Dialog being hidden.
`final ObjectProperty<EventHandler<DialogEvent>>`
Dialog.`onShowingProperty()`
Called just prior to the Dialog being shown.
`final ObjectProperty<EventHandler<DialogEvent>>`
Dialog.`onShownProperty()`
Called just after the Dialog is shown.
Method parameters in javafx.scene.control with type arguments of type DialogEvent
Modifier and Type
Method
Description
`DialogEvent`
DialogEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<DialogEvent> type)`
Creates a copy of the given event with the given fields substituted.
`final void`
Dialog.`setOnCloseRequest(EventHandler<DialogEvent> value)`
Sets the value of the `onCloseRequest` property.
`final void`
Dialog.`setOnHidden(EventHandler<DialogEvent> value)`
Sets the value of the `onHidden` property.
`final void`
Dialog.`setOnHiding(EventHandler<DialogEvent> value)`
Sets the value of the `onHiding` property.
`final void`
Dialog.`setOnShowing(EventHandler<DialogEvent> value)`
Sets the value of the `onShowing` property.
`final void`
Dialog.`setOnShown(EventHandler<DialogEvent> value)`
Sets the value of the `onShown` property.